<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<?php
/**
 * Multishipping checkout billing information
 *
 * @var $block \Magento\Multishipping\Block\Checkout\Billing
 */
?>
<form action="<?php /* @escapeNotVerified */ echo $block->getPostActionUrl() ?>" method="post" id="multishipping-billing-form" class="form multicheckout billing">
    <div class="block block-billing">
        <div class="block-content">
            <div class="box box-billing-address">
                <strong class="box-title">
                    <span><?php /* @escapeNotVerified */ echo __('Billing Address') ?></span>
                    <a href="<?php /* @escapeNotVerified */ echo $block->getSelectAddressUrl() ?>" class="action"><span><?php /* @escapeNotVerified */ echo __('Change') ?></span></a>
                </strong>
                <div class="box-content">
                    <?php $_address = $block->getAddress() ?>
                    <address><?php /* @escapeNotVerified */ echo $_address->format('html') ?></address>
                </div>
            </div>
            <div class="box box-billing-method">
                <fieldset class="fieldset">
                    <legend class="legend box-title"><span><?php /* @escapeNotVerified */ echo __('Payment Method') ?></span></legend><br>
                    <div class="box-content">
                        <?php echo $block->getChildHtml('payment_methods_before') ?>
                        <?php /* Payment methods forms list */ ?>
                        <dl class="items methods-payment" id="payment-methods">
                            <?php
                            $_methods       = $block->getMethods();
                            $_methodsCount  = count($_methods);
                            ?>
                            <?php foreach ($_methods as $_method): $_code = $_method->getCode() ?>
                                <dt class="item-title">
                                    <?php if ($_methodsCount > 1): ?>
                                        <input type="radio" id="p_method_<?php /* @escapeNotVerified */ echo $_code ?>" value="<?php /* @escapeNotVerified */ echo $_code ?>" name="payment[method]" title="<?php echo $block->escapeHtml($_method->getTitle()) ?>" <?php if ($block->getSelectedMethodCode() == $_code): ?> checked="checked"<?php endif; ?> class="radio"/>
                                    <?php else : ?>
                                        <input type="radio" id="p_method_<?php /* @escapeNotVerified */ echo $_code ?>" value="<?php /* @escapeNotVerified */ echo $_code ?>" name="payment[method]" checked="checked" class="radio solo method"/>
                                    <?php endif; ?>
                                    <label for="p_method_<?php /* @escapeNotVerified */ echo $_code ?>"><?php echo $block->escapeHtml($_method->getTitle()) ?></label>
                                </dt>
                                <?php if ($html = $block->getChildHtml('payment.method.' . $_code)) : ?>
                                    <dd class="item-content">
                                        <?php /* @escapeNotVerified */ echo $html; ?>
                                    </dd>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </dl>
                        <?php echo $block->getChildHtml('payment_methods_after') ?>
                        <?php echo $block->getChildHtml('checkout_billing_items') ?>
                    </div>
                </fieldset>
            </div>
        </div>
    </div>
    <div class="actions-toolbar">
        <div class="primary">
            <button id="payment-continue" type="submit" class="action primary continue"><span><?php /* @escapeNotVerified */ echo __('Go to Review Your Order') ?></span></button>
        </div>
        <div class="secondary">
            <a href="<?php /* @escapeNotVerified */ echo $block->getBackUrl() ?>" class="action back"><span><?php /* @escapeNotVerified */ echo __('Back to Shipping Information') ?></span></a>
        </div>
    </div>
</form>
<script>
require(['jquery', 'mage/mage'], function(jQuery){

    var addtocartForm = jQuery('#multishipping-billing-form');
    addtocartForm.mage('payment', {
        checkoutPrice: <?php echo (float)$block->getQuoteBaseGrandTotal(); ?>
    });
    addtocartForm.mage('validation', {
        errorPlacement: function(error, element) {
            if (element.attr('data-validate') && element.attr('data-validate').indexOf('validate-cc-ukss') >= 0) {
                 element.parents('form').find('[data-validation-msg="validate-cc-ukss"]').html(error);
            } else {
                 element.after(error);
            }
        }
    });

});
</script>
